// Jason Brillante "Damdoshi"
// Hanged Bunny Studio 2014-2015
//
// Sewer Glue

#ifndef			__HBS_SEWERGLUE_MODULE_HPP__
# define		__HBS_SEWERGLUE_MODULE_HPP__
# include		<SFML/Graphics.hpp>

namespace		hbs
{
  class			SewerGlue;
  class			Module
  {
  protected:
    hbs::SewerGlue	*sg;

  public:
    virtual bool	Start(hbs::SewerGlue		&sg) = 0;
    virtual void	Reset(void) = 0;
    virtual bool	Event(const sf::Event		&event) = 0;
    virtual bool	Play(uint64_t			delay) = 0;
    virtual void	Display(sf::RenderTarget	&x) = 0;

    virtual ~Module(void) {}
  };
}

#endif	//		__HBS_SEWERGLUE_MODULE_HPP__

